Summary:	NUT GUI Interface
Name:		knutclient
Version:	0.7.5
Release:	1mdk
License:	GPL
Url:		http://www.alo.cz
Group:		Monitoring
Source0:        ftp://ftp.buzuluk.cz/pub/alo/knutclient/stable/%{name}-%{version}.tar.bz2
Buildrequires:	libqt-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Knutclient is a GUI interface for UPS system NUT

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS"			\
CXXFLAGS="$RPM_OPT_FLAGS"		\
./configure	--prefix=%{_prefix}	\
		--libdir=%{_libdir}	\
		--enable-mt		\
		--disable-rpath
%make

%install
make install-strip DESTDIR=%buildroot
install -d %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/knutclient"\
title="KNutClient"\
icon="file_transfer_section.png"\
longtitle="A GUI interface for UPS system NUT"\
needs="X11"\
section="Applications/Monitoring"
EOF
%find_lang %{name} 

%clean
rm -rf %{buildroot}

%post
%{update_menus}
 
%postun
%{clean_menus} 

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog INSTALL TODO COPYING 
%{_bindir}/knutclient
%{_menudir}/%{name}
%{_datadir}/applnk/Applications/knutclient.desktop
%dir %{_datadir}/apps/knutclient
%{_datadir}/apps/knutclient/knutclientui.rc
%{_docdir}/HTML/*/knutclient
%{_iconsdir}/??color/??x??/apps/knutclient.png

%changelog
* Fri Feb 13 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.7.5-1mdk
- New release

* Fri Dec 19 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.7.4-1mdk
- New release

* Mon Nov 10 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.7.3-3mdk
- Correction changelog

* Mon Nov 10 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.7.3-2mdk
- Correction Buildrequires

* Fri Nov 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.3-1mdk
- new release

* Fri Jul 25 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.6.3-1mdk
- New release

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-3mdk
- Rebuild

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-2mdk
- buildrequires

* Wed Jan 08 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Tue Aug 27 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.5.0-2mdk
- New release

* Mon Aug 19 2002 Laurent Culioli <laurent@pschit.net> 0.4.1-4mdk
- rebuild with gcc3.2

* Sat Jul 27 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.4.1-3mdk
- Mandrake adaptions
- Creation of patch for qt3 detection in configure
- Creation of french po file
